# Copyright notice.
#   Original SPEC is provided by Zabbix LLC
#   Modified by Cybertrust Japan Co., Ltd.

%{!?original_name: %global original_name zabbix-agent2-plugin-mongodb}

Name:		miracle-zbx-agent2-plugin-mongodb
Version:	6.0.38
Release:	1%{?dist}
Summary:	MIRACLE ZBX Agent2 plugin for monitoring MongoDB installations
Group:		Applications/Internet
License:	Apache 2.0
URL:		https://www.cybertrust.co.jp/
Source0:	%{original_name}-%{version}.tar.gz
Patch1:		conf.patch

%description
MIRACLE ZBX Agent2 plugin for monitoring MongoDB installations

%define debug_package %{nil}

%prep
%setup0 -q -n %{original_name}-%{version}
%patch1 -p1

%build
export GOPATH=$HOME/go
export GOBIN=$GOPATH/bin
export PATH=$GOBIN:$PATH

go build

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/
cp mongodb $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/zabbix-agent2-plugin-mongodb
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/
cp mongodb.conf $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_sbindir}/zabbix-agent2-plugin/zabbix-agent2-plugin-mongodb
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/mongodb.conf

%changelog
* Wed Jan 29 2025 Yoshinobu Saji <yoshinobu.saji@cybertrust.co.jp> - 6.0.38-1
- Update to 6.0.38.

* Fri Dec 20 2024 Yoshinobu Saji <yoshinobu.saji@cybertrust.co.jp> - 6.0.37-1
- Update to 6.0.37.

* Wed Nov 20 2024 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 6.0.36-1
- Update to 6.0.36.

* Thu Oct 24 2024 Yoshinobu Saji <yoshinobu.saji@cybertrust.co.jp> - 6.0.35-1
- Update to 6.0.35.

* Wed Oct 2 2024 Yoshinobu Saji <yoshinobu.saji@cybertrust.co.jp> - 6.0.34-1
- Update to 6.0.34.

* Wed Aug 14 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 6.0.33-1
- Update to 6.0.33.

* Tue Jul 23 2024 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 6.0.32-1
- Update to 6.0.32.

* Thu Jun 20 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 6.0.31-1
- Update to 6.0.31.

* Thu Oct 27 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> - 1.1.0-1
- Update to 1.1.0

* Fri Jun 24 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> - 1.0.0-1
- initial release of mongodb plugin for MIRACLE ZBX Agent2
